body {
    margin: 8px;
    background-color: black;
}

body {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#LeftPane {
    width: 220px;
    height: 770px;
    position: absolute;
    .position: fixed;
    z-index: 10;
    top: 0;
    left: 0;
    overflow-x: hidden;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: #444444;
}

#MechPane {
    position: absolute;
    background-color: #444444;
    padding: 10px 10px;
    left: 220px;
    top: 0;
    width: 170px;
    z-index: 10;
}

#MechPane select {
    font: 12pt sans-serif;
    background: #bbb;
    margin: 2px;
}

#ImportPane {
    position: absolute;
    margin-left: 420px;
    margin-top: 20px;
    border: 1px solid black;
    font: 10pt sans-serif;
    background-color: #ccc;
    top: 0;
    width: 150px;
    z-index: 10;
}

#ButtonPane {
    position: absolute;
    margin-left: 1320px;
    margin-top: 20px;
    border: 1px solid black;
    font: 10pt sans-serif;
    background-color: #ccc;
    top: 0;
    width: 150px;
    z-index: 10;
}

#Header {
    font: 14pt sans-serif;
    font-weight: bold;
    text-align: center;
    color: #aad;
}

#Footer {
    font: 8pt monospace;
    margin-top: 32px;
    margin-left: 10px;
}

#Footer a {
    color: #997;
}
#Footer a:hover {
    color: #e55;
}

a#showhelp, a#top10 {
    font-family: sans-serif;
    font-weight: bold;
    color: #aaa;
    font-size: 12pt;
}

#GeneralInfo {
    font: 10pt sans-serif;
    color: #886666;
    margin-bottom: 10px;
    padding-left: 12px;
}

#NavPane {
    border-bottom: 1px solid #886666;
}

#NavPane a, #NavPane span {
    text-decoration: none;
    display: block;
    color: #f1f1f1;
    font: 11pt sans-serif;
}

#NavPane span {
    padding: 2px 4px 2px 6px;
    font-size: 9pt;
    font-weight: bold;
    color: #e18888;
    border-top: 1px solid #886666;
}

#NavPane a {
    padding: 5px 4px 5px 20px;
    font: 13pt sans-serif;
    cursor: pointer;
}

#NavPane a:hover {
    background-color: #775555;
}

#InfoPane {
    position: absolute;
    margin-left: 1492px;
    margin-top: 20px;
    border: 1px solid black;
    font: 10pt sans-serif;
    background-color: #ccc;
    top: 0;
    width: 260px;
    -height: 600px;
}

#InfoPane div:not(.button) {
    padding: 3px 5px;
}

.button {
    padding: 5px 3px;
    display: block;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    color: black;
    background-color: #b99;
    border-bottom: 1px solid black;
    cursor: pointer;
}
.button:hover {
    background-color: #caa;
}

#NodesUnlocked {
    font-weight: bold;
    font-size: larger;
    text-align: right;
    width: 3ex;
    display: inline-block;
}

#QuirkRollup {
    margin-left: 30px;
    width: 210px;
    border-spacing: 0;
}
#QuirkRollup td {
    padding: 2px 4px;
}
#QuirkRollup tr:nth-child(even) {
    background-color: #bbb;
}

#Display {
    position: relative;
    .border: 1px solid black;
    margin-left: 220px;
}

#Display canvas {
    position: absolute;
    left: 0;
    top: 0;
}

#HexCanvas {
    z-index: 1;
}

#GridCanvas {
    z-index: 0;
}

.modal {
    display: none;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.6);
}

.modalContent {
    background-color: #aaa;
    position: relative;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 50%;
    font: 12pt sans-serif;
}

.modal .close {
    color: #777;
    position: absolute;
    top: -4px;
    right: 3px;
    font-size: 28px;
    font-weight: bold;
}

.modal .close:hover, .modal .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.tooltip {
    position: absolute;
    background: #242424;
    border: 1px solid #434343;
    border-radius: 4px;
    padding: 3px 6px;
    font-family: sans-serif;
    font-size: 10pt;
    -text-shadow: 0px 1px 1px #000;
    color: #ca8343;
    z-index: 90;
}
.tooltip:before {
    content : " ";
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-bottom: 5px solid #434343;
    position: absolute;
    top: -5px;
    left: 10px;
}

#SelectVersionModal .modalContent {
    width: 30%;
}
#SelectVersionModal select, #SelectVersionModal input {
    font-size: 12pt;
}
#SelectVersionModal textarea {
    width: 100%;
    height: 20ex;
    resize: none;
}

#TopTenModal .modalContent {
    width: 60%;
}
#TopTenModal ol {
    list-style: none;
    padding: 0;
    margin: 0;
    display: inline-block;
}
#TopTenModal ol li {
    display: inline;
}
#TopTenModal ol li a {
    display: inline-block;
    font-family: monospace;
    padding: 4px 8px;
    margin: 4px 4px;
}

#ColorMap_Range {
    color: #005f22;
}
#ColorMap_Velocity {
    color: #943294;
}
#ColorMap_Cooldown {
    color: #2622a2;
}
#ColorMap_GaussCharge {
    color: #425396;
}
#ColorMap_LaserDuration {
    color: #a86413;
}
#ColorMap_FlamerVentilation {
    color: #a83322;
}
#ColorMap_HighExplosive {
    color: #a82222;
}
#ColorMap_HeatGen {
    color: #027a93;
}
#ColorMap_EnhancedUACRAC {
    color: #673f67;
}
#ColorMap_UACJamChance {
    color: #673f67;
}
#ColorMap_LBXSpread {
    color: #591f23;
}
#ColorMap_AMSOverload {
    color: #891f50;
}
#ColorMap_ShockAbsorbance {
    color: #027788;
}
#ColorMap_ArmorHardening {
    color: #55a488;
}
#ColorMap_ReinforcedCasing {
    color: #425396;
}
#ColorMap_SkeletalDensity {
    color: #005f22;
}
#ColorMap_KineticBurst {
    color: #a62222;
}
#ColorMap_TorsoPitch {
    color: #3632a6;
}
#ColorMap_ArmPitch {
    color: #225622;
}
#ColorMap_TorsoSpeed {
    color: #465388;
}
#ColorMap_TorsoYaw {
    color: #1785b9;
}
#ColorMap_HardBrake {
    color: #b65433;
}
#ColorMap_AnchorTurn {
    color: #661361;
}
#ColorMap_SpeedTweak {
    color: #b7284e;
}
#ColorMap_VentCalibration {
    color: #ab5a1e;
}
#ColorMap_HeatShielding {
    color: #1e7a56;
}
#ColorMap_Vectoring {
    color: #1e647a;
}
#ColorMap_LiftSpeed {
    color: #7a1e5f;
}
#ColorMap_QuickIgnition {
    color: #675777;
}
#ColorMap_SpeedRetention {
    color: #7d1d3f;
}
#ColorMap_HeatContainment {
    color: #6d530d;
}
#ColorMap_ImprovedGyros {
    color: #a93388;
}
#ColorMap_HillClimb {
    color: #747560;
}
#ColorMap_CoolRun {
    color: #64878e;
}
#ColorMap_TargetInfoGathering {
    color: #257202;
}
#ColorMap_TargetDecay {
    color: #994f24;
}
#ColorMap_TargetRetention {
    color: #935382;
}
#ColorMap_SensorRange {
    color: #3d4aa0;
}
#ColorMap_SeismicSensor {
    color: #822525;
}
#ColorMap_RadarDeprivation {
    color: #c92c2c;
}
#ColorMap_EnhancedECM {
    color: #086e9a;
}
#ColorMap_AdvancedZoom {
    color: #630d64;
}
#ColorMap_ConsumableSlot {
    color: #630d64;
}
#ColorMap_UAVDuration {
    color: #646a50;
}
#ColorMap_UAVRange {
    color: #917b42;
}
#ColorMap_ExtraUAV {
    color: #494416;
}
#ColorMap_EnhancedCoolshot {
    color: #1d3d77;
}
#ColorMap_CoolantReserves {
    color: #2d4e7a;
}
#ColorMap_CoolshotCooldown {
    color: #2b55af;
}
#ColorMap_AdvancedSalvos {
    color: #a54930;
}
#ColorMap_ExtendedBombardment {
    color: #a54930;
}
#ColorMap_CaptureAssist {
    color: #bf2416;
}
#ColorMap_EnhancedNARC {
    color: #b97969;
}
#ColorMap_ExpandedReserves {
    color: #6e8898;
}
#ColorMap_EnhancedSpotting {
    color: #dd7230;
}
